# dip Makefile

PROJECT=dip
GOCMD=go
GOBUILDCMD=${GOCMD} build
GOOPTIONS=-mod=vendor -ldflags="-s -w" -o ${PROJECT}
PACKRCMD=${GOPATH}/bin/packr2
RMCMD=/bin/rm

SRCFILES=cmd/dip/*.go

all: build

build:
	${PACKRCMD}
	${GOBUILDCMD} ${GOOPTIONS} ${SRCFILES}

clean:
	${RMCMD} ${PROJECT}
	${PACKRCMD} clean

